#
# spec file for package mmc-utils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mmc-utils
Version:        0.1+git.20181208
Release:        lp150.25.1
Summary:        Tools for MMC/SD devices
License:        GPL-2.0-only
Group:          Hardware/Other
URL:            http://git.kernel.org/cgit/linux/kernel/git/cjb/mmc-utils.git/
Source0:        %{name}-%{version}.tar.xz
Source1:        https://www.gnu.org/licenses/gpl-2.0.txt

%description
Userspace tools for controlling and querying MMC/SD storage devices

%prep
%setup -q
cp %{SOURCE1} LICENSE.GPL-2.0

%build
make %{?_smp_mflags} CFLAGS="%{optflags}" CHECKFLAGS="-Wall -Wuninitialized -Wundef"

%install
%make_install prefix=%{_prefix}
install -D -p -m 0644 man/mmc.1 \
  %{buildroot}%{_mandir}/man1/mmc.1

%files
%license LICENSE.GPL-2.0
%{_bindir}/mmc
%{_mandir}/man1/mmc.1%{?ext_man}

%changelog
* Fri Dec 14 2018 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.1+git.20181208:
  * use proper type for RPMB blocks_cnt
  * fix GCC7 build by refactoring trimming routines
* Mon Jun 18 2018 mpluskal@suse.com
- Update to version 0.1+git.20180327:
  * fix ENH_START_ADDR overflow
- Dont build with -Werror
* Thu Mar  8 2018 mpluskal@suse.com
- Update to version 0.1+git.20180216:
  * mmc-utils: manpage: fix arguments for TH macro
  * mmc-utils: remove unused #includes
  * mmc-utils: move offsetof from mmc.h to only user
  * mmc-utils: expand .gitignore
  * mmc-utils: make use of dependency information generated by gcc
  * mmc-utils: drop unused header
  * mmc-utils: drop macro CHECK
- Drop do_not_use_asm_generic.patch
* Fri Mar 24 2017 mpluskal@suse.com
- Update to version 0.1+git.20170320:
  * mmc-utils: feature spec 5.0+, device life time estimation for MLC and pSLC mode
  * mmc-utils: feature spec 5.0+, Pre EOL information
  * mmc-utils: Check for ext_csd_rev only once
* Fri Sep  9 2016 mpluskal@suse.com
- Update to version 0.1+git.20160901:
  * Fix reported offset for enhanced user area start address
  * Register being set is other than mentioned in printed message.
  * Add -c option for partitioning commands
  * Add help texts for -c option
  * Fix return value check from set_partitioning_setting_completed()
  * Add missing -c for write_reliability
* Wed Jun 29 2016 mpluskal@suse.com
- Update to version 0.1+git.20160623:
  * mmc-utils: Add ability to configure write protect on an eMMC device
  * mmc-utils: Add Command Queue fields to Extended CSD
* Thu May 12 2016 mpluskal@suse.com
- Update to version 0.1+git.20160511:
  * mmc-utils: Add disable partition boot to 'mmc bootpart enable'
* Wed Mar  9 2016 mpluskal@suse.com
- Update to version 0.1~git.20160308:
  + Fit usage to 80 cols
  + fix building errors on Android
  + mmc-utils: add check for max enhanced user area
  + mmc-utils: add support to create gp partition
  + mmc-utils: Add command to set the boot bus conditions
  + mmc-utils: add ability to enable/disable optional eMMC cache
  + mmc_utils: gp create: only allow partition [1-4] to be selected
  + mmc_utils: doc: add man-page
  + mmc-utils: Merge the lsmmc tool into mmc-utils
  + mmc_utils: add ffu support
* Tue Mar  1 2016 mpluskal@suse.com
- Update to 0.1~20160223
- Drop old versioning which was based only on date
* Wed Feb 17 2016 normand@linux.vnet.ibm.com
- new do_not_use_asm_generic.patch to avoid PowerPC build error
* Sat Dec  5 2015 mpluskal@suse.com
- Update to 20151118
- Install man page
- Build with correct optflags
* Thu Dec 25 2014 mpluskal@suse.com
- Initial packaging of current git snapshot (20140812)
